<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content *ngIf="show">
  <ion-refresher slot="fixed" (ionRefresh)="getStatusOrders($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-list
    *ngFor="let delivery of deliveries"
    (click)="handleButtonClick(delivery)"
    class="ion-margin-vertical"
  >
    <ion-item>
      <ion-label>
        <ion-text>
          <p>
            {{ delivery.datetime | date:'medium' }} -
            <ion-text color="primary"> {{ delivery.status }} </ion-text>
          </p>
        </ion-text>
        <h3>{{ delivery.user.fullName }}</h3>
        <ion-text><p>{{ delivery.user.address }}</p></ion-text>
        <ion-text
          ><p>
            {{ delivery.user.cellphone }} | {{ delivery.user.telephone }}
          </p></ion-text
        >
      </ion-label>
    </ion-item>

    <!-- <ion-text slot="center"></ion-text> -->
    <ion-item *ngFor="let order of delivery.orders">
      <ion-label>
        <h3>{{ order.product.name }}</h3>
        <p>
          <ion-text>₱{{ order.product.price | number:'.2' }}</ion-text>
          <ion-text> X </ion-text>
          <ion-text>{{ order.quantity}}pcs</ion-text>
          <ion-text> = </ion-text>
          <ion-text color="danger"
            >₱{{ order.quantity * order.product.price | number:'.2' }}</ion-text
          >
        </p>
      </ion-label>
    </ion-item>
  </ion-list>
</ion-content>
